Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### shorten()

Examples

    String[] sa1 = { "OH ", "NY ", "CA "};
    String[] sa2 = shorten(sa1);
    println(sa1);  // Prints OH, NY, CA
    println();
    sa2 = shorten(sa2);
    println(sa2);  // Prints OH

Description | Decreases an array by one element and returns the shortened array. When using an array of objects, the data returned from the function must be cast to the object array's data type. For example: SomeClass[] items = (SomeClass[]) shorten(originalArray).

Syntax

    shorten(array)

Parameters

array | boolean[], byte[], char[], int[], float[], or String[], or an array of objects

Usage | Web & Application
Related | append() expand()

Updated on November 17, 2007 10:07:52am PST